- project = project || @project

.git-clone-holder
  .btn-group.clone-options
    %a#clone-dropdown.clone-dropdown-btn.btn{href: '#', 'data-toggle' => 'dropdown'}
      %span
        = default_clone_protocol.upcase
      = icon('angle-down')
    %ul.dropdown-menu.dropdown-menu-right.clone-options-dropdown
      %li
        %a#ssh-selector{href: @project.ssh_url_to_repo}
          SSH
      %li
        %a#http-selector{href: @project.http_url_to_repo}
          HTTPS
      - if alternative_kerberos_url?
        %li
          %a#kerberos-btn{href: @project.kerberos_url_to_repo}
            KRB5

  = text_field_tag :project_clone, default_url_to_repo(project), class: "js-select-on-focus form-control", readonly: true
  .input-group-btn
    = clipboard_button(clipboard_target: '#project_clone')

:javascript
  $('ul.clone-options-dropdown a').on('click',function(e){
    e.preventDefault();
    var $this = $(this);
    $('a.clone-dropdown-btn span').text($this.text());
    $('#project_clone').val($this.attr('href'));
  });
